package com.iformall.controller;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import com.github.pagehelper.PageInfo;
import com.iformall.common.Result;
import com.iformall.common.ResultData;

import com.iformall.domain.po.WxCLog;
import com.iformall.service.WxCLogService;
import io.swagger.annotations.ApiImplicitParam;
import io.swagger.annotations.ApiImplicitParams;
import io.swagger.annotations.ApiOperation;

@RestController
@RequestMapping("wxCLog")
public class WxCLogController extends BaseController {
    private final Logger logger = LoggerFactory.getLogger(this.getClass());

	@Autowired
    private WxCLogService wxCLogService;
	
	@ApiOperation("分页列表接口")
    @GetMapping("list")
        @ApiImplicitParams({
    	  @ApiImplicitParam(name="pageNum",value="页数",dataType="int", paramType = "query",required=true),
    	  @ApiImplicitParam(name="pageSize",value="每页条数",dataType="int", paramType = "query",required=true)})
    public ResultData list(@ModelAttribute WxCLog wxCLog,Integer pageNum, Integer pageSize) {
        logger.debug("[" + getIpAddr() + "] WxCLogController::list");
    	if (null == wxCLog) wxCLog = new WxCLog();
        final PageInfo<WxCLog> page = wxCLogService.listAsPage(wxCLog, pageNum, pageSize);
        return new ResultData(page);
    }

	@ApiOperation("新增接口")
    @PostMapping("add")
    public ResultData add(@RequestBody WxCLog wxCLog) {
        logger.debug("[" + getIpAddr() + "] WxCLogController::add");
        //Assert.notNull(wxCLog.getName(), "角色名不能为空");
        //Assert.isTrue(!checkUnique(sysRole.getName(), null), "重复的角色名");
        wxCLogService.saveOrUpdate(wxCLog);
        return new ResultData();
    }

    @ApiOperation("根据id更新接口")
    @PostMapping("update")
    public ResultData update(@RequestBody WxCLog wxCLog) {
        logger.debug("[" + getIpAddr() + "] WxCLogController::update");
        wxCLogService.saveOrUpdate(wxCLog);
        return new ResultData();
    }

    @ApiOperation("根据id删除接口")
    @GetMapping("/del")
     @ApiImplicitParam(name="id",value="id",dataType="Long", paramType = "query",required=true)
    public ResultData delete(Long id) {
        logger.debug("[" + getIpAddr() + "] WxCLogController::delete");
        wxCLogService.deleteById(id);
        return new ResultData(Result.SUCCESS, "删除成功", null);
    }
    
     @ApiOperation("根据id查询接口")
     @GetMapping("/findById")
     @ApiImplicitParam(name="id",value="id",dataType="Long", paramType = "query",required=true)
    public ResultData findById(Long id) {
	    logger.debug("[" + getIpAddr() + "] WxCLogController::findById");
	    return new ResultData(Result.SUCCESS,"查询成功",wxCLogService.getById(id));
    }
	
	
	
}
